
#ifndef KDEVCPPSUPPORTIFACE_H
#define KDEVCPPSUPPORTIFACE_H

#include <tqobject.h>
#include <dcopobject.h>

class CppSupportPart;

class KDevCppSupportIface : public TQObject, public DCOPObject
{
	TQ_OBJECT
//	
	K_DCOP
public:
	KDevCppSupportIface( CppSupportPart* cppSupport );
	~KDevCppSupportIface();

k_dcop:
	void addClass();
	void parseProject();

private:
	CppSupportPart* m_cppSupport;
};

#endif 
